package com.lightinit.hsdataportal.service;

import com.lightinit.hsdataportal.entity.Admin;

import java.util.Dictionary;
import java.util.List;

/**
 * Created by Mr.Yao on 2017/4/12.
 */
public interface IAdminService {
    Admin SelectOne(String username);
    Admin QueryOne(Long id);
    List<Admin> QueryList(Dictionary<String,String> condition,String order,int page,int rows);
    long QueryCount(Dictionary<String,String> condition,String order);
    boolean AddAdmin(Admin entity);
    boolean UpdateAdmin(Admin entity);
    boolean IsExits(String username);
    boolean Delete(Long id);
}
